Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.compiler.v2.xpath10
Class XPath10ExpressionCompilerBPEL20

    java.lang.Object
      org.apache.ode.bpel.compiler.v2.xpath10.XPath10ExpressionCompilerImpl
          org.apache.ode.bpel.compiler.v2.xpath10.XPath10ExpressionCompilerBPEL20

All Implemented Interfaces:
  ExpressionCompiler

Direct Known Subclasses:
  XPath10ExpressionCompilerBPEL20Draft

    public class XPath10ExpressionCompilerBPEL20

extends XPath10ExpressionCompilerImpl

XPath 1.0 expression compiler for BPEL 2.0

Field Summary
`protected javax.xml.namespace.QName` | `_qnDoXslTransform`

Fields inherited from class org.apache.ode.bpel.compiler.v2.xpath10.XPath10ExpressionCompilerImpl
`_compilerContext, _properties, _qnFnGetLinkStatus, _qnFnGetVariableData, _qnFnGetVariableProperty`

Constructor Summary
`XPath10ExpressionCompilerBPEL20()`
`XPath10ExpressionCompilerBPEL20(java.lang.String bpelNS)`

Method Summary
`OExpression` | `compile(java.lang.Object source)` Compile an expression into a `OExpression` object.
`OExpression` | `compileJoinCondition(java.lang.Object source)` Compile a join condition into a `OExpression` object.
`OLValueExpression` | `compileLValue(java.lang.Object source)` Compile an lvalue (the 'to' of an assignment) into a `OLValueExpression` object.
`void` | `setCompilerContext(CompilerContext ctx)` Set the compiler context (for resolving variables and such).

Methods inherited from class org.apache.ode.bpel.compiler.v2.xpath10.XPath10ExpressionCompilerImpl
`doJaxenCompile, getProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _qnDoXslTransform

    protected javax.xml.namespace.QName _qnDoXslTransform

Constructor Detail

### XPath10ExpressionCompilerBPEL20

    public XPath10ExpressionCompilerBPEL20()

### XPath10ExpressionCompilerBPEL20

    public XPath10ExpressionCompilerBPEL20(java.lang.String bpelNS)

Method Detail

### compileJoinCondition

    public OExpression compileJoinCondition(java.lang.Object source)
                                     throws CompilationException

  Description copied from interface: `ExpressionCompiler`
  Compile a join condition into a `OExpression` object.

  Returns:
  Throws:
    `CompilationException`
  See Also:
    `ExpressionCompiler.compileJoinCondition(java.lang.Object)`

### setCompilerContext

    public void setCompilerContext(CompilerContext ctx)

  Description copied from interface: `ExpressionCompiler`
  Set the compiler context (for resolving variables and such).

  Specified by:
    `setCompilerContext` in interface `ExpressionCompiler`
  Overrides:
    `setCompilerContext` in class `XPath10ExpressionCompilerImpl`
  Parameters:
    `ctx` - compiler context
  See Also:
    `ExpressionCompiler.setCompilerContext(org.apache.ode.bpel.compiler.v2.CompilerContext)`

### compile

    public OExpression compile(java.lang.Object source)
                        throws CompilationException

  Description copied from interface: `ExpressionCompiler`
  Compile an expression into a `OExpression` object.

  Returns:
  Throws:
    `CompilationException`
  See Also:
    `ExpressionCompiler.compile(java.lang.Object)`

### compileLValue

    public OLValueExpression compileLValue(java.lang.Object source)
                                    throws CompilationException

  Description copied from interface: `ExpressionCompiler`
  Compile an lvalue (the 'to' of an assignment) into a `OLValueExpression` object.

  Returns:
  Throws:
    `CompilationException`
  See Also:
    `ExpressionCompiler.compileLValue(java.lang.Object)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD